Skip to main content
`Ctrl`+`K`

# MatInfoType

Indicates if you want information about the local part of the matrix, the entire parallel matrix or the maximum over all the local parts.

## Synopsis

    typedef enum {
      MAT_LOCAL      = 1,
      MAT_GLOBAL_MAX = 2,
      MAT_GLOBAL_SUM = 3
    } MatInfoType;

## Values

- `MAT_LOCAL` - values for each MPI process part of the matrix

- `MAT_GLOBAL_MAX` - maximum of each value over all MPI processes

- `MAT_GLOBAL_SUM` - sum of each value over all MPI processes

## See Also

Matrices, `MatGetInfo()`, `MatInfo`

## Level

beginner

## Location

include/petscmat.h

## Examples

src/mat/tutorials/ex16.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages